accounts:write OAuth2 scope.X-Api-Key: ********************{
"data": {
"attributes": {
"enabled": false
},
"type": "data_processing_settings"
}
}curl --location --request PATCH 'https://api.leadfeeder.com/v1/settings/data-processing?account_id=123456' \
--header 'X-Api-Key: <api-key>' \
--header 'Content-Type: application/json' \
--data '{
"data": {
"attributes": {
"enabled": false
},
"type": "data_processing_settings"
}
}'{
"data": {
"attributes": {
"changelog": [
{
"changed_at": "2026-06-15T09:30:00Z",
"changed_by_email": "jane.smith@example.com",
"changed_by_name": "Jane Smith",
"enabled": true
},
{
"changed_at": "2026-05-01T14:00:00Z",
"changed_by_email": "john.doe@example.com",
"changed_by_name": "John Doe",
"enabled": false
}
],
"enabled": true
},
"id": "123456",
"type": "data_processing_settings"
},
"meta": {
"request_id": "cf054205-dd8c-4473-8689-07c30fe0789f"
}
}